<template>
  <ImageUpload
    :hosts="`http://47.95.122.141:8209/domita/backend`"
    action="/file/initSingleUpload"
    :defaultFileList="value"
    :previewMode="false"
    :multiple="true"
    :maxNumber="10"
    @change="change"
  />
</template>
<script>
import { fileHttpUtils } from "@/utils/http/fileHttpUtils";
export default {
  props: {
    initValue: {
      type: [String, Number, Array, Object],
      default: () => {
        return [];
      },
    },
  },
  data() {
    return {
      value: this.initValue === "" ? [] : [],
      hosts: window.__systemConf.fileServiceUrl,
    };
  },
  methods: {
    change(file) {
      console.log(file);
    },
  },
};
</script>
